## org.eclipse.m2m.atl.dsls.tcs.injector
Class TCSClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.eclipse.m2m.atl.dsls.tcs.injector.TCSClassLoader

    public class TCSClassLoader

extends java.net.URLClassLoader

Constructor Summary
`TCSClassLoader(java.net.URL[] urls, java.lang.ClassLoader parent)`

Method Summary
`java.lang.Class` `loadClass(java.lang.String name)`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCSClassLoader

    public TCSClassLoader(java.net.URL[] urls,
                          java.lang.ClassLoader parent)

Method Detail

### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

Copyright 2007 IBM Corporation and others. All Rights Reserved.